# HIGH WORK IN PROGRESS, NOT USABLE YET

But looks nice already, feel free to experiment and have fun.

The following is a draft of readme that will eventually be published, it may contain information that is not yet true but is expected to become true once the project is finished.

# Licar

![](assets/logo.png)

WIP racing game

**Cheating in this game is allowed.** Just drive and have fun, try to find the best solution to each map by any means you judge fun enough.

## Why This Game Is Special

- **Everything is written in KISS/suckless C99 from scratch**. The whole project, including the physics engine, rendering engine, game logic and assets embedded in source code have TODO lines of code in totas.
- It has **custom 3D physics engine** (tinyphysicsengine) written from scratch, implemented in a single header file, using no GPU or floating point.
- It has **custom 3D software rendering engine** (small3dlib) written from scratch, implemented in a single header file, using no GPU or floating point.
- It **doesn't use floating point at all**, everything is done using fixed point.
- It **doesn't have any dependency libraries, not even the C standard library**, everything is written from scratch for maximum portability. Libraries such as SDL are used for frontends, but they are never an inherent part of the project, they can be basically drop in replaced with a similar library.
- **No build system** is used, everything is in a **single compilation unit**, to build the game only a single compiler invocation is needed.
- It is **extremely portable and future proof** thanks to having no dependencies besides C99 compiler.
- It is **extremely moddable and hackable**, the code is relatively simple and well commented, written to encourage hacking. There are no obstacles such as DRM, anti-cheating, obfuscation etc.
- It is **absolute and completely public domain free software with ZERO conditions on use** under CC0, it is legally more free that most "FOSS" software, there is no copyleft or credit requirement, you can do ABSOLUTELY anything you want with the project. This is a **selfless project aiming for no benefit of the creator** (include any non-finacial benefit as well), this is made purely to bring more good to the world without gaining any advantage for self.
